OpenVDB: Morphology< TreeType > Class Template Reference

OpenVDB 5.2.0

Classes | Public Types | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
Morphology< TreeType > Class Template Reference

`#include <Morphology.h>`

## Classes
struct | CopyMasks
struct | ErodeVoxelsOp
struct | LeafCache
struct | MaskManager
struct | Neighbor
struct | UpdateMasks

## Public Types
typedef tree::LeafManager< TreeType > | ManagerType

## Public Member Functions
| Morphology (TreeType &tree)
| Morphology (ManagerType *mgr)
virtual | ~Morphology ()
void | dilateVoxels6 ()
| Face-adjacent dilation pattern. More...
void | dilateVoxels18 ()
| Face- and edge-adjacent dilation pattern. More...
void | dilateVoxels26 ()
| Face-, edge- and vertex-adjacent dilation pattern. More...
void | dilateVoxels (int iterations=1, NearestNeighbors nn=NN_FACE)
void | erodeVoxels6 ()
| Face-adjacent erosion pattern. More...
void | erodeVoxels18 ()
| Face- and edge-adjacent erosion pattern. More...
void | erodeVoxels26 ()
| Face-, edge- and vertex-adjacent erosion pattern. More...
void | erodeVoxels (int iterations=1, NearestNeighbors nn=NN_FACE)

## Protected Types
typedef TreeType::LeafNodeType | LeafType
typedef LeafType::NodeMaskType | MaskType
typedef tree::ValueAccessor< TreeType > | AccessorType
typedef DimToWord< LEAF_LOG2DIM >::Type | Word

## Protected Member Functions
void | doErosion (NearestNeighbors nn)
void | copyMasks (std::vector< MaskType > &a, const ManagerType &b)

## Protected Attributes
const bool | mOwnsManager
ManagerType * | mManager
AccessorType | mAcc
int | mSteps

## Static Protected Attributes
static const int | LEAF_DIM = LeafType::DIM
static const int | LEAF_LOG2DIM = LeafType::LOG2DIM

## Member Typedef Documentation

## ◆ AccessorType

typedef tree::ValueAccessor<TreeType> AccessorType
| protected

## ◆ LeafType

typedef TreeType::LeafNodeType LeafType
| protected

## ◆ ManagerType

typedef tree::LeafManager<TreeType> ManagerType

## ◆ MaskType

typedef LeafType::NodeMaskType MaskType
| protected

## ◆ Word

typedef DimToWord<LEAF_LOG2DIM>::Type Word
| protected

## Constructor & Destructor Documentation

## ◆ Morphology() [1/2]

Morphology | ( | TreeType & | tree | ) |
| inline

## ◆ Morphology() [2/2]

Morphology | ( | ManagerType * | mgr | ) |
| inline

## ◆ ~Morphology()

virtual ~Morphology | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ copyMasks()

void copyMasks | ( | std::vector< MaskType > & | a,
|  | const ManagerType & | b
| ) |  |
| inlineprotected

## ◆ dilateVoxels()

void dilateVoxels | ( | int | iterations = `1`,
|  | NearestNeighbors | nn = `NN_FACE`
| ) |  |
| inline

## ◆ dilateVoxels18()

void dilateVoxels18 | ( |  | ) |
| inline

Face- and edge-adjacent dilation pattern.

## ◆ dilateVoxels26()

void dilateVoxels26 | ( |  | ) |
| inline

Face-, edge- and vertex-adjacent dilation pattern.

## ◆ dilateVoxels6()

void dilateVoxels6 | ( |  | ) |
| inline

Face-adjacent dilation pattern.

## ◆ doErosion()

void doErosion | ( | NearestNeighbors | nn | ) |
| inlineprotected

## ◆ erodeVoxels()

void erodeVoxels | ( | int | iterations = `1`,
|  | NearestNeighbors | nn = `NN_FACE`
| ) |  |
| inline

## ◆ erodeVoxels18()

void erodeVoxels18 | ( |  | ) |
| inline

Face- and edge-adjacent erosion pattern.

## ◆ erodeVoxels26()

void erodeVoxels26 | ( |  | ) |
| inline

Face-, edge- and vertex-adjacent erosion pattern.

## ◆ erodeVoxels6()

void erodeVoxels6 | ( |  | ) |
| inline

Face-adjacent erosion pattern.

## Member Data Documentation

## ◆ LEAF_DIM

const int LEAF_DIM = LeafType::DIM
| staticprotected

## ◆ LEAF_LOG2DIM

const int LEAF_LOG2DIM = LeafType::LOG2DIM
| staticprotected

## ◆ mAcc

AccessorType mAcc
| protected

## ◆ mManager

ManagerType* mManager
| protected

## ◆ mOwnsManager

const bool mOwnsManager
| protected

## ◆ mSteps

int mSteps
| protected

The documentation for this class was generated from the following file:

- Morphology.h